For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
HomepageProduct HelpLog inTry for Free
Developers HomeAPI ReferenceMCP
Developers HomeAPI ReferenceMCP
  • Getting Started
    • Introduction
    • Authentication with API Keys
    • Authentication with OAuth
    • API Clients
    • Pagination
    • Specifying Fields
    • Filter Parameters
    • HTTP Response Codes
    • Rate Limits
    • Timezone Offsets
    • Rich Text Fields
    • Changelog
  • CRM Core
    • Leads
    • Contacts
    • Opportunities
    • Tasks
    • Files
    • Custom Objects
    • Comments
  • Activities
    • Activities
    • Notes
    • Calls
    • Emails
    • Email Threads
    • WhatsApp Messages
    • Meetings
    • Custom Activities
    • Creations
    • Form Submissions
    • Lead Status Changes
    • Opportunity Status Changes
    • Lead Merges
    • Task Completions
  • Events & Webhooks
    • Webhooks
    • Events
  • Search & Reporting
    • Advanced Filtering
    • Smart Views
    • Reporting
  • Automation & Bulk Actions
    • Sequences (Workflows)
    • Bulk Actions
    • Exports
    • AI Field Enrichment
  • CRM Configuration
    • Custom Fields
    • Custom Activity Types
    • Custom Object Types
      • GETList Custom Object Types
      • POSTCreate new Custom Object Type
      • GETRetrieve a single Custom Object Type
      • PUTUpdate existing Custom Object Type
      • DELDelete a Custom Object Type
    • Pipelines
    • Opportunity Statuses
    • Lead Statuses
    • Integration Links
    • Forms
  • Communication Configuration
    • Email Templates
    • SMS Templates
    • Outcomes
    • Playbooks
    • Scheduling Links Guide
    • Scheduling Links
    • Connected Accounts
    • Send As
    • Unsubscribed Emails
    • Phone Numbers
    • Blocked Phone Numbers
    • Dialers
  • Users & Organizations
    • Users
    • Organizations
    • Memberships
    • Roles
    • Groups
Close

Product

OverviewCommunicationAutomationIntegrationsReportingSMSCallingSecurityForms

Pricing & Use Cases

PricingClose vs Other CRMsCustomer Stories

Resources

Sales BlogSales ResourcesSales GuidesWebinarsOn-Demand DemoSales Tools

Company

AboutCareersPartner with CloseBrand GuidelinesTermsPrivacyGDPRCCPA

Get Help

+1-833-GO-CLOSEHelp CenterDownload the Close AppProduct UpdatesSystem Status
LogoLogo
HomepageProduct HelpLog inTry for Free
CRM ConfigurationCustom Object Types

Create new Custom Object Type

||View as Markdown|
POST
https://api.close.com/api/v1/custom_object_type/
POST
/api/v1/custom_object_type/
$curl -X POST https://api.close.com/api/v1/custom_object_type/ \
> -H "Content-Type: application/json" \
> -u "<CLOSE_API_KEY>:" \
> -d '{
> "api_create_only": false,
> "description": "An account managed by this client",
> "editable_with_roles": [
> "admin"
> ],
> "name": "Account",
> "name_plural": "Accounts"
>}'
1{
2 "api_create_only": false,
3 "back_reference_fields": [],
4 "created_by": "user_Ova4RGFG7pztSeJiiMFdN7O2MFl71nD0uGO3bIOo4Wk",
5 "date_created": "2020-08-07T15:18:33.797245",
6 "date_updated": "2020-08-07T15:18:33.797245",
7 "description": "An account managed by this client",
8 "editable_with_roles": [
9 "admin"
10 ],
11 "fields": [],
12 "id": "cotype_4hQsScWF3hnUOyngoaAV00",
13 "name": "Account",
14 "name_plural": "Accounts",
15 "organization_id": "orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH",
16 "updated_by": "user_Ova4RGFG7pztSeJiiMFdN7O2MFl71nD0uGO3bIOo4Wk"
17}
The type must be created before Custom Fields can be added. The following fields are required: - `name`: The name of the Custom Object Type - `name_plural`: A pluralized version of the name, for some UI display. The following fields are optional: - `description`: A longer description of the Custom Object Type. - `api_create_only`: If `true`, instances can only be created by API clients. Defaults to `false`. - `editable_with_roles`: Only users with the given roles can edit instances of this type. By default, any user in your organization can make changes to the instances of this type.
Was this page helpful?
Previous

List Custom Object Types

Next

Retrieve a single Custom Object Type

Built with

The type must be created before Custom Fields can be added.

The following fields are required:

  • name: The name of the Custom Object Type
  • name_plural: A pluralized version of the name, for some UI display.

The following fields are optional:

  • description: A longer description of the Custom Object Type.
  • api_create_only: If true, instances can only be created by API clients. Defaults to false.
  • editable_with_roles: Only users with the given roles can edit instances of this type. By default, any user in your organization can make changes to the instances of this type.

Authentication

AuthorizationBasic
Use your API key as the username and leave the password empty.
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects any.

Response

Successful response

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error